> ## Documentation Index
> Fetch the complete documentation index at: https://wordsmithai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Thread Messages

> Read the conversation with whoever requested the task.

Tasks raised over Slack, email or a mailbox carry a thread with the requester. `direction` is `inbound` for messages from the requester and `outbound` for replies sent back to them.

<Note>The requester thread is behind its own feature flag, separate from tasks. These two endpoints return `404` unless it is enabled for your organization.</Note>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/thread' \
  --header 'Authorization: Bearer YOUR_API_KEY'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/thread", {
    method: "GET",
    headers: {
      Authorization: "Bearer YOUR_API_KEY",
      "Content-Type": "application/json",
    },
  });
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/thread"
  headers = {
      "Authorization": "Bearer YOUR_API_KEY",
      "Content-Type": "application/json",
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "id": "bbbb1111-cccc-2222-dddd-444444444444",
      "task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
      "direction": "outbound",
      "content": "We've reviewed the NDA \u2014 see the attached mark-up.",
      "file_ids": [],
      "sender": {
        "id": "11111111-2222-3333-4444-555555555555",
        "name": "Jane Doe",
        "email": "jane@example.com"
      },
      "sender_agent": null,
      "sender_display_name": "Jane Doe",
      "created_at": "2025-12-31T01:01:40Z"
    }
  ]
  ```
</ResponseExample>
